> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/mailing/api-mailing-checkoauth2.md).

# /api/mailing/checkoauth2

## GET /api/mailing/checkoauth2

> Get oauth2 login details

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/mailing/checkoauth2"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"get_mailing_checkoauth2":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["type"]}}},"paths":{"/api/mailing/checkoauth2":{"get":{"description":"Get oauth2 login details","tags":["/api/mailing/checkoauth2"],"parameters":[{"name":"type","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/get_mailing_checkoauth2"}},"application/json":{"schema":{"$ref":"#/components/schemas/get_mailing_checkoauth2"}},"application/xml":{"schema":{"$ref":"#/components/schemas/get_mailing_checkoauth2"}}}}}}}}}
```
